Bug 429431 - nm-applet: not possible to quit/disable (?)
nm-applet: not possible to quit/disable (?)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
: 449976 (view as bug list)
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-01-19 17:08 EST by Rex Dieter
Modified: 2010-02-14 09:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-08 22:08:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-01-19 17:08:59 EST
Raising mostly in the context of KDE Spin (and other non-gnome desktops).  

The issue I'd like to raise here is that if someone, like a KDE user, would
prefer to use knetworkmanager.  With NetworkManger-gnome, if installed and
afaict, there seems to be no way to disable it or quit after launch.    As is,
that user would get both applets.

I'm not sure how best to handle a situation like this.  Any suggestions?
Comment 1 Kevin Kofler 2008-01-19 17:12:34 EST
Also note that this is exacerbated by the fact that we had to ship 
NetworkManager-gnome by default in Fedora 8 because KNetworkManager wasn't 
ready. Now it looks like we've got a KNetworkManager ready for Rawhide (and 
probably also want to push it to the Fedora 8 updates at some point), so we 
need an upgrade path (and Obsoletes is not an option for obvious reasons).
Comment 2 Kevin Kofler 2008-01-19 17:14:12 EST
(knetworkmanager in F8 and current Rawhide is a dummy package which dragged in 
NetworkManager-gnome because we didn't have any other working options.)
Comment 3 Dan Williams 2008-01-19 21:21:13 EST
Hmm; could the new knm package include a small shim that copies settings from
GConf into the config store that knm used?  Then you could patch that into
knetworkmanager's startup code and copy them over once, set a private config key
to say "already converted" and don't copy again if that key is found.

Or, since it's one-time-pain, just ignore the existing GNOME settings and have
people re-enter the stuff.  Sort of sucks, but you'd only have to do it once.
Comment 4 Kevin Kofler 2008-01-20 07:19:33 EST
Thanks for the hints, but copying the configuration isn't our primary concern, 
getting the NM-gnome nm-applet not to start is, because 2 NM applets at the 
same time would trip on each other.
Comment 5 Bug Zapper 2008-05-14 00:49:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Craig Kelley 2008-05-30 13:10:36 EDT
The NM applet is practically useless on a workstation with a dedicated
connection.  I would like to be able to at least hide it to prevent it from
using up space in the panel.
Comment 7 Rex Dieter 2008-06-17 16:36:25 EDT
(As suggsted by ivazquaz on #fedora irc)

when/if a "new" default kde applet comes, it could include a (kde-specific):
/usr/share/autostart/nm-applet.desktop
that includes key:
Hidden=true

according to my reading of the xdg-autostart spec, would be at least one
system-wide way to disable nm-applet in kde.
Comment 8 Dan Williams 2009-02-14 16:30:26 EST
*** Bug 449976 has been marked as a duplicate of this bug. ***
Comment 9 Rex Dieter 2009-02-14 18:01:10 EST
Bummer that my trick from comment #7 doesn't seem to work in KDE, but from what we can tell, it's *supposed* to work, so may be indicative of a bug.  We're looking into it.
Comment 10 Bug Zapper 2009-06-09 19:24:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-16 03:00:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Dan Williams 2010-02-08 20:24:29 EST
I think the major problem here is how you'd get the applet back in the panel in an easy and discoverable way after hiding it...
Comment 13 Rex Dieter 2010-02-08 22:08:17 EST
Agreed, I withdraw the request.

This is probably better implemented in some sort of service/autostart manager.  I'll (hopefully) be hacking on kde's autostart manager soonish to implement something along the lines of this.

While I'm at it, I'll also see about making something like comment #7 work too (it's probably a kde bug that it doesn't currently work).
Comment 14 Raul Acevedo 2010-02-08 22:43:09 EST
No, please don't close this bug; I filed bug 449976, which was deemed a dupe of this one, 

Why can't this applet behave like any other applet, that you get rid of with right click -> Remove from panel, and add via right click -> Add to panel?

I really don't understand why this is so difficult.  Is there something this applet does or how it works that it cannot work like every other applet?
Comment 15 Rex Dieter 2010-02-08 23:13:12 EST
Strictly speaking your wish was a little different than mine here.

I wanted a way to simply disable nm-applet (per user or per system), and I think I've come up with some better ways to do that.

You seem to want the ability to get rid of it once launched (which I have no personal interest in).
Comment 16 Kevin Kofler 2010-02-09 08:04:33 EST
IMHO nm_applet should just be NotShowIn=KDE; in F13 and higher, but we can discuss this in today's KDE SIG meeting.
Comment 17 Kevin Kofler 2010-02-09 08:05:32 EST
(Please don't add a NotShowIn in F11 or F12 updates or you'll break networking for unsuspecting users.)
Comment 18 Raul Acevedo 2010-02-09 13:53:08 EST
Rex: If your wish is considered different, then I would like my bug re-opened.  Regardless, I want to understand why this applet can't be like any other applet on the panel: you remove with a right click, add it back with a right click.

What is wrong with this?
Comment 19 Rex Dieter 2010-02-09 13:59:19 EST
Re-open your bug then, if you want.  All I'm saying is that I'm not personally interested in that (anymore).
Comment 20 Kevin Kofler 2010-02-09 14:00:41 EST
nm-applet is not a panel applet, it's a systray icon.
Comment 21 Milan Masek 2010-02-14 08:27:02 EST
Hi all,
This bothering me a lot as a KDE user.
For all of you who wants to get rid of this stupid behaviour:
edit file '/etc/xdg/autostart/nm-applet.desktop' and put there a new line:
OnlyShowIn=GNOME

M.
Comment 22 Kevin Kofler 2010-02-14 09:47:09 EST
This will be the default in F13 and up, where we default to knetworkmanager (see the closed bug 541353), but we can't really do this by default in F11 and F12 or we'll break networking for our users. If your system is a single-user system or if everyone is using KDE, you can just remove the NetworkManager-gnome package altogether.

Note You need to log in before you can comment on or make changes to this bug.